<!-- <div (click)="overlayOff()" style="
   position: fixed;
   /* display: {{ overlay }}; */
   width: 100%;
   height: 100%;
   top: 0;
   left: 0;
   right: 0;
   bottom: 0;
   background-color: rgba(0,0,0,0.7);
   z-index: 2;
"
[ngStyle]="{'display': overlay : 'block'}"></div> -->

<!-- <div [ngStyle]="{'color': variable ? 'red' : 'blue'}"></div> -->

<!-- <span ng-style="myStyle">Sample Text</span> -->

<!-- 
   'display':overlay === 'block' ? 'block' : 'none' , -->

<div [ngStyle]="{
   'display':overlay == 'block' ? 'block' : 'none',
   'position': 'fixed',
   'width': '100%',
   'height': '100%',
   'top': '0',
   'left': '0',
   'right': '0',
   'bottom': '0',
   'background-color': 'rgba(0,0,0,0.7)',
   'z-index': '2'
}" (click)="overlayOff()"></div>

<!-- <div [ngStyle]="{'color': 'Red', 'font-size': '45px', 'font-weight': 'bold'}">I am a class</div> -->

<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
   <div class="container">
      <img src="assets/img/logo/logo-white.png" class="navbar-logo mr-lg-4" alt="logo">
      <button (click)="isCollapsed = !isCollapsed" [attr.aria-expanded]="!isCollapsed" class="navbar-toggler" type="button">
         <span class="navbar-toggler-icon"></span>
      </button>
   
      <div class="collapse navbar-collapse" id="collapseExample" [ngbCollapse]="isCollapsed">
         <ul class="navbar-nav mr-auto">
            <li class="nav-item">
               <a class="nav-link" href="#">TENTANG KAMI</a>
            </li>
            <li class="nav-item">
               <a class="nav-link" href="#">MEKANISME LELANG</a>
            </li>
            <li class="nav-item">
               <a class="nav-link" href="#">FAQ</a>
            </li>
            <li class="nav-item">
               <a class="nav-link" href="#">HUBUNGI KAMI</a>
            </li>
            <li class="nav-item">
               <a class="nav-link" href="#">TOP UP KOIN</a>
            </li>
            <li class="nav-item">
               <a class="nav-link" href="#">UNDUH APLIKASI</a>
            </li>
         </ul>
         <ul class="navbar-nav mr-0">
            <li class="nav-item">
               <!-- Login mobile -->
               <button class="btn btn-login btn-block d-lg-none mb-3" (click)="modalLogin(content)">Masuk</button>
               <ng-template #content let-modal>
                  <div class="modal-body">
                     <form class="px-4 py-3">
                        <div class="form-group">
                           <input type="text" class="form-control" placeholder="Nomor Handphone / Email">
                        </div>
                        <div class="form-group">
                           <input type="password" class="form-control" placeholder="Kata Sandi">
                        </div>
                        <div class="form-group">
                           <div class="row">
                              <div class="col-md-6">
                                 <div class="form-check">
                                    <input type="checkbox" class="form-check-input" id="rememberMe">
                                    <label class="form-check-label check-remember" for="rememberMe">
                                       Ingat Saya
                                    </label>
                                 </div>
                              </div>
                              <div class="col-md-6">
                                 <a href="#" class="btn-forget-password">Lupa kata sandi ?</a>
                              </div>
                           </div>
                           
                        </div>
                        <button type="submit" class="btn btn-block btn-action-login">Masuk</button>
                     </form>
                     <div class="px-4">
                        <div class="dropdown-divider"></div>
                        <div class="label-login-with mt-2">MASUK MENGGUNAKAN</div>
                        <button class="btn btn-block btn-login-with mt-2"> <i class="fab fa-facebook-square"></i> Facebook</button>
                        <button class="btn btn-block btn-login-with mb-3"> <i class="fab fa-google"></i> Google</button>
                     </div>
                  </div>
               </ng-template>

               <!-- Login Desktop -->               
               <div ngbDropdown>
                  <button class="btn btn-block btn-login dropdown-toggle d-none d-lg-block" id="dropdownBasic1" ngbDropdownToggle (click)="overlayOn()">
                     Masuk
                  </button>

                  <div ngbDropdownMenu aria-labelledby="dropdownBasic1" class="dropdown-menu dropdown-menu-right dropdown-menu-login">
                     <form class="px-4 py-3">
                        <div class="form-group">
                           <input type="text" class="form-control" placeholder="Nomor Handphone / Email">
                        </div>
                        <div class="form-group">
                           <input type="password" class="form-control" placeholder="Kata Sandi">
                        </div>
                        <div class="form-group">
                           <div class="row">
                              <div class="col-md-6">
                                 <div class="form-check">
                                    <input type="checkbox" class="form-check-input" id="rememberMe">
                                    <label class="form-check-label check-remember" for="rememberMe">
                                       Ingat Saya
                                    </label>
                                 </div>
                              </div>
                              <div class="col-md-6">
                                 <a href="#" class="btn-forget-password">Lupa kata sandi ?</a>
                              </div>
                           </div>
                           
                        </div>
                        <button type="submit" class="btn btn-block btn-action-login">Masuk</button>
                     </form>
                     <div class="px-4">
                        <div class="dropdown-divider"></div>
                        <div class="label-login-with mt-2">MASUK MENGGUNAKAN</div>
                        <button class="btn btn-block btn-login-with mt-2"> <i class="fab fa-facebook-square"></i> Facebook</button>
                        <button class="btn btn-block btn-login-with mb-3"> <i class="fab fa-google"></i> Google</button>
                     </div>
                  </div>
               </div>
            </li>
            <div class="space-login"></div>
            <li class="nav-item">
               <button class="btn btn-register btn-block">Daftar</button>
            </li>
         </ul>
      </div>
   </div>
 </nav>